<h1>Daniel's Dotfiles</h1>

My personal Linux dotfiles.

I use Arch btw.

The root of this repo is equivalent to my `$HOME` directory.

<!--toc:start-->

- [This Repository](#this-repository)
  - [Note On Keybindings](#note-on-keybindings)

<!--toc:end-->

## This Repository

I use this repository to sync and backup my dotfiles. I use the excellent [yadm]
to manage the repo, and [autoyadm](https://git.sr.ht/~ficd/autoyadm) to automate
committing & pushing on a timer.

Therefore, these configs are:

- Always up to date.
- But potentially broken on any given commit (due to incomplete configs being
  pushed).

If you see a file with a weird name, like `config##hostname.dbox`, it's
leveraging `yadm`'s alternate files feature; the program will automatically
symlink the appropriate file to its destination depending on what comes after
the `##`. This is also how templates are handled (see [niri](./.config/niri))
for an example of this.

### Note On Keybindings

I use Colemak-DH, which is a non-qwerty keyboard layout. Because I came up using
Vim, I'm used to `hjkl` for movement. However, on this layout, `mnei` occupies
the `hjkl` position. Thus, in most applications, I change the bindings so
they're more comfortable for me to use. Please keep this in mind when copying my
configs.

## Configuration Notes

### Kakoune

I've been configuring and enjoying Kakoune as my text editor lately. It's highly
personalized, so I don't recommend copying it, but feel free to peruse for
inspiration.

### Helix

I used Helix for quite a few months. I had implemented some cool functionality
using calls to external scripts; these may be of interest to you.

### Niri

I use Niri as my Window manager. I've written quite a few custom scripts that
work with Niri; you'll find references to them in the configuration, and the
code for most is available in my [utils collection](https://sr.ht/~ficd/utils).
